Package org.jbpm.process.workitem.core.util

## Class WidInfo.InternalServiceInfo

- java.lang.Object
- - org.jbpm.process.workitem.core.util.WidInfo.InternalServiceInfo

- Enclosing class:
    WidInfo

      public class WidInfo.InternalServiceInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalServiceInfo​(WidService service)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WidInfo.InternalServiceAction` | `getAction()` |
    `WidInfo.InternalServiceAuth` | `getAuthInfo()` |
    `String` | `getCategory()` |
    `String` | `getDescription()` |
    `List<String>` | `getKeywords()` |
    `WidInfo.InternalServiceTrigger` | `getTrigger()` |
    `boolean` | `isHasAction()` |
    `boolean` | `isHasTrigger()` |
    `void` | `setAction​(WidInfo.InternalServiceAction action)` |
    `void` | `setAuthInfo​(WidInfo.InternalServiceAuth authInfo)` |
    `void` | `setCategory​(String category)` |
    `void` | `setDescription​(String description)` |
    `void` | `setHasAction​(boolean hasAction)` |
    `void` | `setHasTrigger​(boolean hasTrigger)` |
    `void` | `setKeywords​(List<String> keywords)` |
    `void` | `setTrigger​(WidInfo.InternalServiceTrigger trigger)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalServiceInfo

          public InternalServiceInfo​(WidService service)

  - ### Method Detail

    - #### isHasTrigger

          public boolean isHasTrigger()

    - #### setHasTrigger

          public void setHasTrigger​(boolean hasTrigger)

    - #### isHasAction

          public boolean isHasAction()

    - #### setHasAction

          public void setHasAction​(boolean hasAction)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory​(String category)

    - #### getKeywords

          public List<String> getKeywords()

    - #### setKeywords

          public void setKeywords​(List<String> keywords)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getTrigger

          public WidInfo.InternalServiceTrigger getTrigger()

    - #### setTrigger

          public void setTrigger​(WidInfo.InternalServiceTrigger trigger)

    - #### getAction

          public WidInfo.InternalServiceAction getAction()

    - #### setAction

          public void setAction​(WidInfo.InternalServiceAction action)

    - #### getAuthInfo

          public WidInfo.InternalServiceAuth getAuthInfo()

    - #### setAuthInfo

          public void setAuthInfo​(WidInfo.InternalServiceAuth authInfo)